#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: preprocessor-tools
version: 1.0.1
id: preprocessor-tools-1.0.1-53859c9cae929c1ec6193860f40abb35
key: prepr_74Bfi6lGejb2QXsDNuJNab
license: BSD3
maintainer: tov@eecs.harvard.edu
stability: experimental
homepage: http://www.eecs.harvard.edu/~tov/pubs/haskell-session-types/
synopsis: A framework for extending Haskell'\''s syntax via quick-and-dirty preprocessors
description:
    This library provides a quick-and-dirty (but often effective)
    method for extending Haskell'\''s syntax using a custom
    preprocessor.  It parses Haskell into a bare-bones AST with just
    enough knowledge of the syntax to preserve nesting, and then
    allows transformations on the AST.
    .
    See the package ixdopp
    (<http://hackage.haskell.org/cgi-bin/hackage-scripts/package/ixdopp>)
    for an example of how to do this.
category: Source-tools, Language, Code Generation
author: Jesse A. Tov <tov@eecs.harvard.edu>
exposed: True
exposed-modules:
    Language.Haskell.Preprocessor Language.Haskell.Preprocessor.Ast
    Language.Haskell.Preprocessor.Error
    Language.Haskell.Preprocessor.Loc
    Language.Haskell.Preprocessor.Parser
    Language.Haskell.Preprocessor.Printer
    Language.Haskell.Preprocessor.SynSpec
    Language.Haskell.Preprocessor.Token
    Language.Haskell.Preprocessor.Util
hidden-modules: Language.Haskell.Preprocessor.Lexer
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/preprocessor-tools-1.0.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/preprocessor-tools-1.0.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/preprocessor-tools-1.0.1
hs-libraries: HSpreprocessor-tools-1.0.1-74Bfi6lGejb2QXsDNuJNab
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    mtl-2.2.1-5cf332b11edb88a6040af20fd6a58acb
    parsec-3.1.9-bb68650144afd3b33b41bc72edc4b196
    syb-0.5.1-09089498a055bd723b4a95c1351d3c8a
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/preprocessor-tools-1.0.1/html/preprocessor-tools.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/preprocessor-tools-1.0.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
